MsWksDBParserInternal::FieldType Class Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MsWksDBParserInternal::FieldType Class Referencefinal

the type of each field More...

Inheritance diagram for MsWksDBParserInternal::FieldType:

## Public Member Functions
| FieldType ()
| constructor
| FieldType (FieldType const &)=default
FieldType & | operator= (FieldType const &)=default
| ~FieldType () final
| destructor
bool | empty () const
| returns true if the field has no content
void | updateWithContent (MWAWVec2i const &pos, MWAWCellContent const &content)
| update a field with the record data
Public Member Functions inherited from MWAWCell
| MWAWCell ()
| constructor
| MWAWCell (MWAWCell const &)=default
MWAWCell & | operator= (MWAWCell const &)=default
MWAWCell & | operator= (MWAWCell &&)=default
virtual | ~MWAWCell ()
| destructor
void | addTo (librevenge::RVNGPropertyList &propList, std::shared_ptr< MWAWFontConverter > fontConverter) const
| adds to the propList
virtual bool | send (MWAWListenerPtr listener, MWAWTable &table)
| function called when a cell is send by MWAWTable to send a cell to a listener.
virtual bool | sendContent (MWAWListenerPtr listener, MWAWTable &table)
| function called when the content of a cell must be send to the listener, ie.
MWAWVec2i const & | position () const
| position accessor
void | setPosition (MWAWVec2i posi)
| set the cell positions : 0,0 -> A1, 0,1 -> A2
MWAWVec2i const & | numSpannedCells () const
| returns the number of spanned cells
void | setNumSpannedCells (MWAWVec2i numSpanned)
| sets the number of spanned cells : MWAWVec2i(1,1) means 1 cellule
MWAWBox2f const & | bdBox () const
| bdbox accessor
void | setBdBox (MWAWBox2f box)
| set the bdbox (unit point)
MWAWVec2f const & | bdSize () const
| bdbox size accessor
void | setBdSize (MWAWVec2f sz)
| set the bdbox size(unit point)
Format const & | getFormat () const
| returns the cell format
void | setFormat (Format const &format)
| set the cell format
bool | isFontSet () const
| returns true if the font has been set
MWAWFont | getFont () const
| returns the font
void | setFont (MWAWFont const &font, bool isDefault=false)
| sets the fonts
bool | isProtected () const
| returns true if the cell is protected
void | setProtected (bool fl)
| sets the cell's protected flag
HorizontalAlignment | hAlignment () const
| returns the horizontal alignment
void | setHAlignment (HorizontalAlignment align)
| sets the horizontal alignment
VerticalAlignment | vAlignment () const
| returns the vertical alignment
void | setVAlignment (VerticalAlignment align)
| sets the vertical alignment
double | rotation () const
| returns the rotation angle in degree
void | setRotation (double angle)
| sets the rotation angle
bool | hasBorders () const
| return true if the cell has some border
std::vector< MWAWBorder > const & | borders () const
| return the cell border: libmwaw::Left | ...
void | resetBorders ()
| reset the border
void | setBorders (int wh, MWAWBorder const &border)
| sets the cell border: wh=libmwaw::LeftBit|...
MWAWColor | backgroundColor () const
| returns the background color
void | setBackgroundColor (MWAWColor color)
| sets the background color
bool | hasExtraLine () const
| returns true if we have some extra lines
ExtraLine | extraLine () const
| returns the extra lines
MWAWBorder const & | extraLineType () const
| returns the extra line border
void | setExtraLine (ExtraLine extrLine, MWAWBorder const &type=MWAWBorder())
| sets the extraline

## Public Attributes
MWAWCellContent | m_content
| the cell content
std::string | m_name
| the field name
bool | m_used
| a flag to know if the field is used or not
bool | m_isSerial
| a flag to deferentiate a serial formula to a formula
int | m_serialId
| serialized field identificator
SerialFormula | m_serialFormula
| the serial formula ( if the field is serialized )
int | m_height
| the height
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, FieldType const &fType)
| operator<<

## Additional Inherited Members
Public Types inherited from MWAWCell
enum | FormatType { F_TEXT , F_BOOLEAN , F_NUMBER , F_DATE , F_TIME , F_UNKNOWN }
| the different format of a cell's content More...
enum | NumberType { F_NUMBER_CURRENCY , F_NUMBER_DECIMAL , F_NUMBER_FRACTION , F_NUMBER_GENERIC , F_NUMBER_SCIENTIFIC , F_NUMBER_PERCENT , F_NUMBER_UNKNOWN }
| the different number format of a cell's content More...
enum | HorizontalAlignment { HALIGN_LEFT , HALIGN_RIGHT , HALIGN_CENTER , HALIGN_FULL , HALIGN_DEFAULT }
| the default horizontal alignment. More...
enum | VerticalAlignment { VALIGN_TOP , VALIGN_CENTER , VALIGN_BOTTOM , VALIGN_DEFAULT }
| the default vertical alignment. More...
enum | ExtraLine { E_None , E_Line1 , E_Line2 , E_Cross }
| an enum to defined potential internal line: E_Line1=TL to RB, E_Line2=BL to RT More...
Static Public Member Functions inherited from MWAWCell
static std::string | getBasicCellName (MWAWVec2i const &pos)
| return the name of a cell (given row and column) : 0,0 -> A1, 0,1 -> A2...
static std::string | getCellName (MWAWVec2i const &pos, MWAWVec2b const &absolute)
| return the name of a cell (given row and column) : 0,0 -> [.A1], 0,1 -> [.A2]
static std::string | getColumnName (int col)
| return the column name
Protected Attributes inherited from MWAWCell
MWAWVec2i | m_position
| the cell row and column : 0,0 -> A1, 0,1 -> A2
MWAWVec2i | m_numberCellSpanned
| the cell spanned : by default (1,1)
MWAWBox2f | m_bdBox
| the cell bounding box (unit in point)
MWAWVec2f | m_bdSize
| the cell bounding size : unit point
Format | m_format
| the cell format
MWAWFont | m_font
| the cell font
bool | m_fontSet
| a flag to know if the font has been set
HorizontalAlignment | m_hAlign
| the cell alignment : by default nothing
VerticalAlignment | m_vAlign
| the vertical cell alignment : by default nothing
double | m_rotation
| the content's rotation in degree
MWAWColor | m_backgroundColor
| the backgroung color
bool | m_protected
| cell protected
std::vector< MWAWBorder > | m_bordersList
| the cell border MWAWBorder::Pos
ExtraLine | m_extraLine
| extra line
MWAWBorder | m_extraLineType
| extra line type

## Detailed Description

the type of each field

## Constructor & Destructor Documentation

## ◆ FieldType() [1/2]

MsWksDBParserInternal::FieldType::FieldType | ( |  | ) |
| inline

constructor

## ◆ FieldType() [2/2]

MsWksDBParserInternal::FieldType::FieldType | ( | FieldType const & |  | ) |
| default

## ◆ ~FieldType()

MsWksDBParserInternal::FieldType::~FieldType | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ empty()

bool MsWksDBParserInternal::FieldType::empty | ( |  | ) | const
| inline

returns true if the field has no content

## ◆ operator=()

FieldType & MsWksDBParserInternal::FieldType::operator= | ( | FieldType const & |  | ) |
| default

## ◆ updateWithContent()

void MsWksDBParserInternal::FieldType::updateWithContent | ( | MWAWVec2i const & | pos,
|  | MWAWCellContent const & | content )

update a field with the record data

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | FieldType const & | fType )
| friend

operator<<

## Member Data Documentation

## ◆ m_content

MWAWCellContent MsWksDBParserInternal::FieldType::m_content

the cell content

Referenced by empty(), MsWksDBParser::readFieldTypes(), MsWksDBParser::readFieldTypesV2(), and updateWithContent().

## ◆ m_extra

std::string MsWksDBParserInternal::FieldType::m_extra

extra data

Referenced by MsWksDBParser::readFieldTypes(), and MsWksDBParser::readFieldTypesV2().

## ◆ m_height

int MsWksDBParserInternal::FieldType::m_height

the height

Referenced by MsWksDBParser::readFieldTypes().

## ◆ m_isSerial

bool MsWksDBParserInternal::FieldType::m_isSerial

a flag to deferentiate a serial formula to a formula

Referenced by empty(), MsWksDBParser::readFieldTypes(), and updateWithContent().

## ◆ m_name

std::string MsWksDBParserInternal::FieldType::m_name

the field name

## ◆ m_serialFormula

SerialFormula MsWksDBParserInternal::FieldType::m_serialFormula

the serial formula ( if the field is serialized )

Referenced by updateWithContent().

## ◆ m_serialId

int MsWksDBParserInternal::FieldType::m_serialId

serialized field identificator

Referenced by MsWksDBParser::readFieldTypes().

## ◆ m_used

bool MsWksDBParserInternal::FieldType::m_used

a flag to know if the field is used or not

Referenced by MsWksDBParser::readFieldTypes().

The documentation for this class was generated from the following file:

- MsWksDBParser.cxx